1

I have installed PSpell and updated the config file to use it instead of GoogleSpell. Then in my functions file I have added spellchecker to the plugins part and the button. The button shows up but it doesn't work. After looking at the source code I see that spellchecker is not included in the TinyMCE init.

function customize_tinymce($in) {
$in['remove_linebreaks'] = false;
$in['gecko_spellcheck'] = false;
$in['keep_styles'] = true;
$in['accessibility_focus'] = true;
$in['tabfocus_elements'] = 'major-publishing-actions';
$in['media_strict'] = false;
$in['paste_remove_styles'] = false;
$in['paste_remove_spans'] = false;
$in['paste_strip_class_attributes'] = 'none';
$in['paste_text_use_dialog'] = true;
$in['wpeditimage_disable_captions'] = true;
$in['plugins'] = 'inlinepopups,tabfocus,paste,media,fullscreen,wordpress,wpeditimage,wpgallery,wplink,wpdialogs,wpfullscreen,spellchecker';
$in['content_css'] = get_template_directory_uri() . "/editor-style.css";
$in['wpautop'] = true;
$in['apply_source_formatting'] = false;
$in['theme_advanced_buttons1'] = 'formatselect,|,bold,italic,underline,|,bullist,numlist,blockquote,|,link,unlink,|,pastetext,pasteword,removeformat,spellchecker,|,charmap,|,outdent,indent,|,undo,redo,|,wp_fullscreen';
$in['theme_advanced_buttons2'] = '';
$in['theme_advanced_buttons3'] = '';
$in['theme_advanced_buttons4'] = '';
return $in;
}

Viewing the source I see the plugins being loaded but not spellchecker.

ref : {plugins:"inlinepopups,tabfocus,paste,media,fullscreen,wordpress,wpeditimage,wpgallery,wplink,wpdialogs,wpfullscreen",theme:"advanced",language:"en"}

What am I missing?

0

I ended up using an ATD plugin that was stripped from JetPack.

Here is the plugin: https://github.com/leedo/wordpress-atd

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.